Loading...
Searching...
No Matches
CdsRestDataProvider::CdsRestDataProviderBase Class Reference

The CdsRest data provider class. More...

`#include <CdsRestDataProviderBase.qc.dox.h>`

Inheritance diagram for CdsRestDataProvider::CdsRestDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (CdsRestClient::CdsRestClient rest)
| Creates the object.
| constructor (CdsRestClient::CdsRestConnection conn)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ConstructorOptions = ...
| Constructor options.
const | EnvOptions = ...
| Environment options.
const | HttpMethods = ...
| Hash of HTTP Methods.

## Static Protected Member Functions

static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the CdsRestClient.

## Protected Attributes

*CdsRestClient::CdsRestConnection | conn
| The connection object used to create the REST client.
CdsRestClient::CdsRestClient | rest
| The REST client object for API calls.

## Detailed Description

The CdsRest data provider class.